<template>
<div class="card">
   <v-top :list="list"></v-top>
  <v-turn :turnlist="turnlist"></v-turn>

<v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  import hintbox from '@/components/hintbox/hintbox.vue'
  import turn from '@/components/turn/turn.vue'
  import top from '@/components/top/top.vue'
  export default {
    data(){
      return{
        list:[
          {
            type:'',
            couponId:'',
            activityId:'',
            noticeMsg:'',
            isRead:''
          }
        ],
        turnlist:[
          {
            name:'当前券',
            data:[]
          },
          {
            name:'历史券',
            data:[]
          }],
        flags: false,
        position: { x: 0, y: 0 },
        nx: '', ny: '', dx: '', dy: '', xPum: '', yPum: '',
        nodata:'',
        datas:{},
        unstart:'',
        end:'',
        pendding:'',
        camInList:[],//进行中活动
        camNopList:[],//未开启活动
        camHisList:[],//历史活动
        hintbox: {
          text: "",
          show: false
        },
      }
    },
    components:{
       'v-hintbox' : hintbox,
       'v-turn' : turn,
       'v-top': top
    },
    methods:{
      getAjax(){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        VeevlinkClient(
          '/member/coupon/list?openId='+VerificationCodeEntity.OpenId + '&memberId='+memberId,
          'GET',
          '',
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records[0]){
                that.datas = data.records[0];
                that.turnlist[0].data = that.datas.currentCouponList;
                that.turnlist[1].data = that.datas.historyCouponList;
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
    },
    onLoad(){
      let that = this;
      this.nodata = false;
      this.getAjax();
    }

  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>


</style>
